
import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?
    
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey : Any]? = nil) -> Bool {
        let manager = FileManager.default
        let documents = manager.urls(for: .documentDirectory, in: .userDomainMask)
        let docURL = documents.first!
        
        let originURL = docURL.appendingPathComponent("mytext.txt")
        let destinationURL = docURL.appendingPathComponent("myfiles/mytext.txt")
        let originPath = originURL.path
        let destinationPath = destinationURL.path
        do {
            try manager.moveItem(atPath: originPath, toPath: destinationPath)
        } catch {
            print("File was not moved")
        }
        return true
    }
}
